Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Какого пакета не хватает для печати Canon MF-4570dn ?  (Прочитано 782 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AlexBezz

  • Автор темы
  • Любитель
  • *
  • Сообщений: 83
    • Просмотр профиля
Заметил, что после установки принтера Canon MF-4570dn, последний отказывается печатать что-либо, выдавая в ответ сообщение что ожидается окончание печати, но так ничего и не происходит.
Проблема решалась "сама по себе" после установки skype из репозитория, во время которой подтягивается куча либ, и явно в следствие этого принтер начинает печатать, причем даже без перезагрузки системы.

Вот что устанвливается вместе со скайпом:

(Нажмите, чтобы показать/скрыть)

Но с выходом новой версии скайпа для linux не хочу ставить весь этот зоопарк в систему.
Как думаете, какие конкретно пакеты нужны для работы принтера ?
Не хочу ставить старую версию скайпа и кучу непонятных пакетов ради того что бы заработал принтер...

ЗЫ: Ubuntu / Kubuntu 14.04.5 x64
« Последнее редактирование: 11 Январь 2017, 21:56:41 от AlexBezz »

Оффлайн Пользователь

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 2031
  • Посмотрите наверх и нажмите кнопку "Документация"
    • Просмотр профиля
Скорее всего:
libcups2:i386
libffi6:i386
libjpeg8:i386
libpng12-0:i386


Если не заработает еще эти добавь:
libc6:i386
libstdc++6:i386


В 32 разрядной версии системы этих проблем не должно возникнуть...
Runtu - linux для новичков.

Оффлайн AlexBezz

  • Автор темы
  • Любитель
  • *
  • Сообщений: 83
    • Просмотр профиля
Сегодня после установки свежей Kubuntu 16.04.1 и принтера попробовал по очереди устанавливать все указанные пакеты. После установки каждого пробовал печатать. Очевидно или дело не в них или еще какого-то к ним не достает. Принтер снова запустился после установки Skype  :o :idiot2: >:( :-\ ???

Есть команда, чтобы отправить на печать с терминала ? может там напишет чего не достает ?

Удалил скайп и с ним все 355 мб библиотек, принтер перестал печатать даже не дожидаясь перезагрузки системы.
После запуска задания на печать думает пару секунд и потом в окне очереди печати под статусом "Принтер готов" появляется строка:

src=libcanon_pdlwrapper.c, line = 514, err = 0¥nDEBUG: PID 6750(gs) exited with no errors.

Как узнать, какую конкретно либу/либы нужно поставить ?

Список удаленных пакетов:
(Нажмите, чтобы показать/скрыть)

Пользователь добавил сообщение 20 Январь 2017, 17:19:29:
Ну что же... Я психанул и вручную перебрал большую половину пакетов, пока не нашел два претендента.
После чего установил чистую Kubuntu 16.04.1 x64 на отдельную машину, накатил все предлагаемые обновления.
Перегрузил машину, установил драйвера, проверил - не печатает.
Установил пакет

libxml2:i386

который подтянул за собой зависимости

gcc-5-base:i386 libicu55:i386 liblzma5:i386 libstdc++6:i386 zlib1g:i386 

Итого 37,5 Мб.

Принтер заработал сразу и без перезагрузок.
Профит - 327,5 Мб всякого мусора не попало в систему  :D
« Последнее редактирование: 20 Январь 2017, 17:19:29 от AlexBezz »

 

Страница сгенерирована за 0.112 секунд. Запросов: 23.